Pegasus Rock Golem loot
Closed, ResolvedPublic

Description

What is happening:

  1. About 1/4 of the time when click pick up on a loot box the box disappears and you get nothing.
  1. When fighting two golems, the second one will not drop a loot box.
  1. First night of grinding for about an hour and got three front leg pieces. Second and third nights of grinding, each about an hour and no armor dropped.

I admit this last one could be just my luck.

Dorumon21 added a subscriber: Dorumon21.EditedNov 30 2017, 1:03 AM

The problem has to do with how loot boxes drop when AoE defeats several enemies at the same time. If you beat several enemies at once, especially at places say where bees are getting involved in golem fights, most often then not, the bees will ruin the loot when you use any form of AoE.

example if you beat 4 bees at the same time you defeat a golem, you'll probably only see bee loot boxes as some reason the golem one will simply not appear.

otherunicorn added a subscriber: otherunicorn.EditedFeb 2 2018, 8:15 AM

Golems are still dropping a lot of empty loot boxes, if they drop anything at all. This includes the two that are not near the hornets. V1.10

Well, that happens to all mobs if they get defeated at the same time and are at the or close to the same spot.
In that case there often will be only one chest anymore.

Just as Dorumon21 described it.

This includes the two that are not near the hornets. Defeat them one at a time, and still get empty loot boxes.

The chances of loot are not at 100% on any item from the Pegasus Rock Golems, so sometimes they will drop empty loot boxes. However, we'll have programming look into the issue as well.

Moon_Flower added a comment.EditedFeb 2 2018, 10:53 PM

The chances of loot are not at 100% on any item from the Pegasus Rock Golems, so sometimes they will drop empty loot boxes. However, we'll have programming look into the issue as well.

Not even the gold, I guess?

But as I stated before, that can happen anywhere that loot is lost.

4 empty boxes in a row, and about a dozen in 20 kills. Still needs looking at, evidently.

If you mean looting the boxes sometimes gives nothing, it cause even bits only have a chance to appear. I was testing them earlier however and noticed a increase in armor drop pieces which even tho they been reduce to 20% of their sell value, that makes up for the bits not showing at times. Had quite a lot of sunplate armors that can sell for over 800+ bits so I think this more or less makes it ok.

I will suggest however that if there literally no loot at all, that the boxes simply don't show with a hint there was no loot to get in the first place so it don't get looked at as a bug. It is a bit of a time waster to be trying to loot something that has nothing in it.

Rattletrap closed this task as Resolved.Sep 8 2018, 9:15 AM

Loot system has changed with greater loot options resulting in some items each time a chest is looted.